ch.qos.logback.classic.spi

## Interface LoggerContextListener

All Known Implementing Classes:
  JMXConfigurator, LevelChangePropagator

    public interface LoggerContextListener

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isResetResistant()` Some listeners should not be removed when the LoggerContext is reset.
`void` `onLevelChange(Logger logger, Level level)`
`void` `onReset(LoggerContext context)`
`void` `onStart(LoggerContext context)`
`void` `onStop(LoggerContext context)`

### Method Detail

#### isResetResistant

    boolean isResetResistant()

Some listeners should not be removed when the LoggerContext is reset. Such listeners are said to be reset resistant.

Returns:
  whether this listener is reset resistant or not.

#### onStart

    void onStart(LoggerContext context)

#### onReset

    void onReset(LoggerContext context)

#### onStop

    void onStop(LoggerContext context)

#### onLevelChange

    void onLevelChange(Logger logger,
                       Level level)